import 'package:json_annotation/json_annotation.dart';

part 'plan.model.g.dart';

@JsonSerializable()
class Plan {

  Plan();

  factory Plan.fromJson(Map<String, dynamic> json) => _$PlanFromJson(json);
  Map<String, dynamic> toJson() => _$PlanToJson(this);

  int id;
  String name;
  String description;
  String stripe_id;
  int n_athletes;
  int n_coaches;
  int n_admins;
  int n_boxes;
  bool is_highlighted;
  bool active;
  double tax_prcnt;
  double subtotal;
  double tax_amount;
  double total;
  DateTime created_at;
  DateTime updated_at;

}